org.apache.fop.complexscripts.scripts

## Class ThaiScriptProcessor

- java.lang.Object
- - org.apache.fop.complexscripts.scripts.ScriptProcessor
  - - org.apache.fop.complexscripts.scripts.DefaultScriptProcessor
    - - org.apache.fop.complexscripts.scripts.ThaiScriptProcessor

-     public class ThaiScriptProcessor
      extends DefaultScriptProcessor

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `isReorderedMark(GlyphDefinitionTable gdef, int[] glyphs, int[] unscaledWidths, int index, int[] pa)`

    - ### Methods inherited from class org.apache.fop.complexscripts.scripts.DefaultScriptProcessor

      `getPositioningContextTester, getPositioningFeatures, getSubstitutionContextTester, getSubstitutionFeatures, reorderCombiningMarks`

    - ### Methods inherited from class org.apache.fop.complexscripts.scripts.ScriptProcessor

      `assembleLookups, getInstance, getOptionalPositioningFeatures, getOptionalSubstitutionFeatures, getScript, position, position, preProcess, substitute, substitute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isReorderedMark

          protected boolean isReorderedMark(GlyphDefinitionTable gdef,
                                            int[] glyphs,
                                            int[] unscaledWidths,
                                            int index,
                                            int[] pa)

      Overrides:
        `isReorderedMark` in class `DefaultScriptProcessor`

Copyright © 2023 Apache Software Foundation. All rights reserved.